IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network55.3.76.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
55.3.76.0- Broadcast address
55.3.79.255- First usable
55.3.76.1- Last usable
55.3.79.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
37034C00· Integer922962944to922963967 - Reverse DNS zones
76.3.55.in-addr.arpa77.3.55.in-addr.arpa78.3.55.in-addr.arpa79.3.55.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00110111.00000011.01001100.00000000 | 55.3.76.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 00110111.00000011.01001100.00000000 | 55.3.76.0 |
| Broadcast | 00110111.00000011.01001111.11111111 | 55.3.79.255 |
Split into smaller subnets
55.3.76.0/22 makes 1,024 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 55.3.76.0/32 | 55.3.76.0 to 55.3.76.0 | — | 1 |
| 2 | 55.3.76.1/32 | 55.3.76.1 to 55.3.76.1 | — | 1 |
| 3 | 55.3.76.2/32 | 55.3.76.2 to 55.3.76.2 | — | 1 |
| 4 | 55.3.76.3/32 | 55.3.76.3 to 55.3.76.3 | — | 1 |
| 5 | 55.3.76.4/32 | 55.3.76.4 to 55.3.76.4 | — | 1 |
| 6 | 55.3.76.5/32 | 55.3.76.5 to 55.3.76.5 | — | 1 |
| 7 | 55.3.76.6/32 | 55.3.76.6 to 55.3.76.6 | — | 1 |
| 8 | 55.3.76.7/32 | 55.3.76.7 to 55.3.76.7 | — | 1 |
| 9 | 55.3.76.8/32 | 55.3.76.8 to 55.3.76.8 | — | 1 |
| 10 | 55.3.76.9/32 | 55.3.76.9 to 55.3.76.9 | — | 1 |
| 11 | 55.3.76.10/32 | 55.3.76.10 to 55.3.76.10 | — | 1 |
| 12 | 55.3.76.11/32 | 55.3.76.11 to 55.3.76.11 | — | 1 |
| 13 | 55.3.76.12/32 | 55.3.76.12 to 55.3.76.12 | — | 1 |
| 14 | 55.3.76.13/32 | 55.3.76.13 to 55.3.76.13 | — | 1 |
| 15 | 55.3.76.14/32 | 55.3.76.14 to 55.3.76.14 | — | 1 |
| 16 | 55.3.76.15/32 | 55.3.76.15 to 55.3.76.15 | — | 1 |
| 17 | 55.3.76.16/32 | 55.3.76.16 to 55.3.76.16 | — | 1 |
| 18 | 55.3.76.17/32 | 55.3.76.17 to 55.3.76.17 | — | 1 |
| 19 | 55.3.76.18/32 | 55.3.76.18 to 55.3.76.18 | — | 1 |
| 20 | 55.3.76.19/32 | 55.3.76.19 to 55.3.76.19 | — | 1 |
| 21 | 55.3.76.20/32 | 55.3.76.20 to 55.3.76.20 | — | 1 |
| 22 | 55.3.76.21/32 | 55.3.76.21 to 55.3.76.21 | — | 1 |
| 23 | 55.3.76.22/32 | 55.3.76.22 to 55.3.76.22 | — | 1 |
| 24 | 55.3.76.23/32 | 55.3.76.23 to 55.3.76.23 | — | 1 |
| 25 | 55.3.76.24/32 | 55.3.76.24 to 55.3.76.24 | — | 1 |
| 26 | 55.3.76.25/32 | 55.3.76.25 to 55.3.76.25 | — | 1 |
| 27 | 55.3.76.26/32 | 55.3.76.26 to 55.3.76.26 | — | 1 |
| 28 | 55.3.76.27/32 | 55.3.76.27 to 55.3.76.27 | — | 1 |
| 29 | 55.3.76.28/32 | 55.3.76.28 to 55.3.76.28 | — | 1 |
| 30 | 55.3.76.29/32 | 55.3.76.29 to 55.3.76.29 | — | 1 |
| 31 | 55.3.76.30/32 | 55.3.76.30 to 55.3.76.30 | — | 1 |
| 32 | 55.3.76.31/32 | 55.3.76.31 to 55.3.76.31 | — | 1 |
| 33 | 55.3.76.32/32 | 55.3.76.32 to 55.3.76.32 | — | 1 |
| 34 | 55.3.76.33/32 | 55.3.76.33 to 55.3.76.33 | — | 1 |
| 35 | 55.3.76.34/32 | 55.3.76.34 to 55.3.76.34 | — | 1 |
| 36 | 55.3.76.35/32 | 55.3.76.35 to 55.3.76.35 | — | 1 |
| 37 | 55.3.76.36/32 | 55.3.76.36 to 55.3.76.36 | — | 1 |
| 38 | 55.3.76.37/32 | 55.3.76.37 to 55.3.76.37 | — | 1 |
| 39 | 55.3.76.38/32 | 55.3.76.38 to 55.3.76.38 | — | 1 |
| 40 | 55.3.76.39/32 | 55.3.76.39 to 55.3.76.39 | — | 1 |
| 41 | 55.3.76.40/32 | 55.3.76.40 to 55.3.76.40 | — | 1 |
| 42 | 55.3.76.41/32 | 55.3.76.41 to 55.3.76.41 | — | 1 |
| 43 | 55.3.76.42/32 | 55.3.76.42 to 55.3.76.42 | — | 1 |
| 44 | 55.3.76.43/32 | 55.3.76.43 to 55.3.76.43 | — | 1 |
| 45 | 55.3.76.44/32 | 55.3.76.44 to 55.3.76.44 | — | 1 |
| 46 | 55.3.76.45/32 | 55.3.76.45 to 55.3.76.45 | — | 1 |
| 47 | 55.3.76.46/32 | 55.3.76.46 to 55.3.76.46 | — | 1 |
| 48 | 55.3.76.47/32 | 55.3.76.47 to 55.3.76.47 | — | 1 |
| 49 | 55.3.76.48/32 | 55.3.76.48 to 55.3.76.48 | — | 1 |
| 50 | 55.3.76.49/32 | 55.3.76.49 to 55.3.76.49 | — | 1 |
| 51 | 55.3.76.50/32 | 55.3.76.50 to 55.3.76.50 | — | 1 |
| 52 | 55.3.76.51/32 | 55.3.76.51 to 55.3.76.51 | — | 1 |
| 53 | 55.3.76.52/32 | 55.3.76.52 to 55.3.76.52 | — | 1 |
| 54 | 55.3.76.53/32 | 55.3.76.53 to 55.3.76.53 | — | 1 |
| 55 | 55.3.76.54/32 | 55.3.76.54 to 55.3.76.54 | — | 1 |
| 56 | 55.3.76.55/32 | 55.3.76.55 to 55.3.76.55 | — | 1 |
| 57 | 55.3.76.56/32 | 55.3.76.56 to 55.3.76.56 | — | 1 |
| 58 | 55.3.76.57/32 | 55.3.76.57 to 55.3.76.57 | — | 1 |
| 59 | 55.3.76.58/32 | 55.3.76.58 to 55.3.76.58 | — | 1 |
| 60 | 55.3.76.59/32 | 55.3.76.59 to 55.3.76.59 | — | 1 |
| 61 | 55.3.76.60/32 | 55.3.76.60 to 55.3.76.60 | — | 1 |
| 62 | 55.3.76.61/32 | 55.3.76.61 to 55.3.76.61 | — | 1 |
| 63 | 55.3.76.62/32 | 55.3.76.62 to 55.3.76.62 | — | 1 |
| 64 | 55.3.76.63/32 | 55.3.76.63 to 55.3.76.63 | — | 1 |
| 65 | 55.3.76.64/32 | 55.3.76.64 to 55.3.76.64 | — | 1 |
| 66 | 55.3.76.65/32 | 55.3.76.65 to 55.3.76.65 | — | 1 |
| 67 | 55.3.76.66/32 | 55.3.76.66 to 55.3.76.66 | — | 1 |
| 68 | 55.3.76.67/32 | 55.3.76.67 to 55.3.76.67 | — | 1 |
| 69 | 55.3.76.68/32 | 55.3.76.68 to 55.3.76.68 | — | 1 |
| 70 | 55.3.76.69/32 | 55.3.76.69 to 55.3.76.69 | — | 1 |
| 71 | 55.3.76.70/32 | 55.3.76.70 to 55.3.76.70 | — | 1 |
| 72 | 55.3.76.71/32 | 55.3.76.71 to 55.3.76.71 | — | 1 |
| 73 | 55.3.76.72/32 | 55.3.76.72 to 55.3.76.72 | — | 1 |
| 74 | 55.3.76.73/32 | 55.3.76.73 to 55.3.76.73 | — | 1 |
| 75 | 55.3.76.74/32 | 55.3.76.74 to 55.3.76.74 | — | 1 |
| 76 | 55.3.76.75/32 | 55.3.76.75 to 55.3.76.75 | — | 1 |
| 77 | 55.3.76.76/32 | 55.3.76.76 to 55.3.76.76 | — | 1 |
| 78 | 55.3.76.77/32 | 55.3.76.77 to 55.3.76.77 | — | 1 |
| 79 | 55.3.76.78/32 | 55.3.76.78 to 55.3.76.78 | — | 1 |
| 80 | 55.3.76.79/32 | 55.3.76.79 to 55.3.76.79 | — | 1 |
| 81 | 55.3.76.80/32 | 55.3.76.80 to 55.3.76.80 | — | 1 |
| 82 | 55.3.76.81/32 | 55.3.76.81 to 55.3.76.81 | — | 1 |
| 83 | 55.3.76.82/32 | 55.3.76.82 to 55.3.76.82 | — | 1 |
| 84 | 55.3.76.83/32 | 55.3.76.83 to 55.3.76.83 | — | 1 |
| 85 | 55.3.76.84/32 | 55.3.76.84 to 55.3.76.84 | — | 1 |
| 86 | 55.3.76.85/32 | 55.3.76.85 to 55.3.76.85 | — | 1 |
| 87 | 55.3.76.86/32 | 55.3.76.86 to 55.3.76.86 | — | 1 |
| 88 | 55.3.76.87/32 | 55.3.76.87 to 55.3.76.87 | — | 1 |
| 89 | 55.3.76.88/32 | 55.3.76.88 to 55.3.76.88 | — | 1 |
| 90 | 55.3.76.89/32 | 55.3.76.89 to 55.3.76.89 | — | 1 |
| 91 | 55.3.76.90/32 | 55.3.76.90 to 55.3.76.90 | — | 1 |
| 92 | 55.3.76.91/32 | 55.3.76.91 to 55.3.76.91 | — | 1 |
| 93 | 55.3.76.92/32 | 55.3.76.92 to 55.3.76.92 | — | 1 |
| 94 | 55.3.76.93/32 | 55.3.76.93 to 55.3.76.93 | — | 1 |
| 95 | 55.3.76.94/32 | 55.3.76.94 to 55.3.76.94 | — | 1 |
| 96 | 55.3.76.95/32 | 55.3.76.95 to 55.3.76.95 | — | 1 |
| 97 | 55.3.76.96/32 | 55.3.76.96 to 55.3.76.96 | — | 1 |
| 98 | 55.3.76.97/32 | 55.3.76.97 to 55.3.76.97 | — | 1 |
| 99 | 55.3.76.98/32 | 55.3.76.98 to 55.3.76.98 | — | 1 |
| 100 | 55.3.76.99/32 | 55.3.76.99 to 55.3.76.99 | — | 1 |
| 101 | 55.3.76.100/32 | 55.3.76.100 to 55.3.76.100 | — | 1 |
| 102 | 55.3.76.101/32 | 55.3.76.101 to 55.3.76.101 | — | 1 |
| 103 | 55.3.76.102/32 | 55.3.76.102 to 55.3.76.102 | — | 1 |
| 104 | 55.3.76.103/32 | 55.3.76.103 to 55.3.76.103 | — | 1 |
| 105 | 55.3.76.104/32 | 55.3.76.104 to 55.3.76.104 | — | 1 |
| 106 | 55.3.76.105/32 | 55.3.76.105 to 55.3.76.105 | — | 1 |
| 107 | 55.3.76.106/32 | 55.3.76.106 to 55.3.76.106 | — | 1 |
| 108 | 55.3.76.107/32 | 55.3.76.107 to 55.3.76.107 | — | 1 |
| 109 | 55.3.76.108/32 | 55.3.76.108 to 55.3.76.108 | — | 1 |
| 110 | 55.3.76.109/32 | 55.3.76.109 to 55.3.76.109 | — | 1 |
| 111 | 55.3.76.110/32 | 55.3.76.110 to 55.3.76.110 | — | 1 |
| 112 | 55.3.76.111/32 | 55.3.76.111 to 55.3.76.111 | — | 1 |
| 113 | 55.3.76.112/32 | 55.3.76.112 to 55.3.76.112 | — | 1 |
| 114 | 55.3.76.113/32 | 55.3.76.113 to 55.3.76.113 | — | 1 |
| 115 | 55.3.76.114/32 | 55.3.76.114 to 55.3.76.114 | — | 1 |
| 116 | 55.3.76.115/32 | 55.3.76.115 to 55.3.76.115 | — | 1 |
| 117 | 55.3.76.116/32 | 55.3.76.116 to 55.3.76.116 | — | 1 |
| 118 | 55.3.76.117/32 | 55.3.76.117 to 55.3.76.117 | — | 1 |
| 119 | 55.3.76.118/32 | 55.3.76.118 to 55.3.76.118 | — | 1 |
| 120 | 55.3.76.119/32 | 55.3.76.119 to 55.3.76.119 | — | 1 |
| 121 | 55.3.76.120/32 | 55.3.76.120 to 55.3.76.120 | — | 1 |
| 122 | 55.3.76.121/32 | 55.3.76.121 to 55.3.76.121 | — | 1 |
| 123 | 55.3.76.122/32 | 55.3.76.122 to 55.3.76.122 | — | 1 |
| 124 | 55.3.76.123/32 | 55.3.76.123 to 55.3.76.123 | — | 1 |
| 125 | 55.3.76.124/32 | 55.3.76.124 to 55.3.76.124 | — | 1 |
| 126 | 55.3.76.125/32 | 55.3.76.125 to 55.3.76.125 | — | 1 |
| 127 | 55.3.76.126/32 | 55.3.76.126 to 55.3.76.126 | — | 1 |
| 128 | 55.3.76.127/32 | 55.3.76.127 to 55.3.76.127 | — | 1 |
| 129 | 55.3.76.128/32 | 55.3.76.128 to 55.3.76.128 | — | 1 |
| 130 | 55.3.76.129/32 | 55.3.76.129 to 55.3.76.129 | — | 1 |
| 131 | 55.3.76.130/32 | 55.3.76.130 to 55.3.76.130 | — | 1 |
| 132 | 55.3.76.131/32 | 55.3.76.131 to 55.3.76.131 | — | 1 |
| 133 | 55.3.76.132/32 | 55.3.76.132 to 55.3.76.132 | — | 1 |
| 134 | 55.3.76.133/32 | 55.3.76.133 to 55.3.76.133 | — | 1 |
| 135 | 55.3.76.134/32 | 55.3.76.134 to 55.3.76.134 | — | 1 |
| 136 | 55.3.76.135/32 | 55.3.76.135 to 55.3.76.135 | — | 1 |
| 137 | 55.3.76.136/32 | 55.3.76.136 to 55.3.76.136 | — | 1 |
| 138 | 55.3.76.137/32 | 55.3.76.137 to 55.3.76.137 | — | 1 |
| 139 | 55.3.76.138/32 | 55.3.76.138 to 55.3.76.138 | — | 1 |
| 140 | 55.3.76.139/32 | 55.3.76.139 to 55.3.76.139 | — | 1 |
| 141 | 55.3.76.140/32 | 55.3.76.140 to 55.3.76.140 | — | 1 |
| 142 | 55.3.76.141/32 | 55.3.76.141 to 55.3.76.141 | — | 1 |
| 143 | 55.3.76.142/32 | 55.3.76.142 to 55.3.76.142 | — | 1 |
| 144 | 55.3.76.143/32 | 55.3.76.143 to 55.3.76.143 | — | 1 |
| 145 | 55.3.76.144/32 | 55.3.76.144 to 55.3.76.144 | — | 1 |
| 146 | 55.3.76.145/32 | 55.3.76.145 to 55.3.76.145 | — | 1 |
| 147 | 55.3.76.146/32 | 55.3.76.146 to 55.3.76.146 | — | 1 |
| 148 | 55.3.76.147/32 | 55.3.76.147 to 55.3.76.147 | — | 1 |
| 149 | 55.3.76.148/32 | 55.3.76.148 to 55.3.76.148 | — | 1 |
| 150 | 55.3.76.149/32 | 55.3.76.149 to 55.3.76.149 | — | 1 |
| 151 | 55.3.76.150/32 | 55.3.76.150 to 55.3.76.150 | — | 1 |
| 152 | 55.3.76.151/32 | 55.3.76.151 to 55.3.76.151 | — | 1 |
| 153 | 55.3.76.152/32 | 55.3.76.152 to 55.3.76.152 | — | 1 |
| 154 | 55.3.76.153/32 | 55.3.76.153 to 55.3.76.153 | — | 1 |
| 155 | 55.3.76.154/32 | 55.3.76.154 to 55.3.76.154 | — | 1 |
| 156 | 55.3.76.155/32 | 55.3.76.155 to 55.3.76.155 | — | 1 |
| 157 | 55.3.76.156/32 | 55.3.76.156 to 55.3.76.156 | — | 1 |
| 158 | 55.3.76.157/32 | 55.3.76.157 to 55.3.76.157 | — | 1 |
| 159 | 55.3.76.158/32 | 55.3.76.158 to 55.3.76.158 | — | 1 |
| 160 | 55.3.76.159/32 | 55.3.76.159 to 55.3.76.159 | — | 1 |
| 161 | 55.3.76.160/32 | 55.3.76.160 to 55.3.76.160 | — | 1 |
| 162 | 55.3.76.161/32 | 55.3.76.161 to 55.3.76.161 | — | 1 |
| 163 | 55.3.76.162/32 | 55.3.76.162 to 55.3.76.162 | — | 1 |
| 164 | 55.3.76.163/32 | 55.3.76.163 to 55.3.76.163 | — | 1 |
| 165 | 55.3.76.164/32 | 55.3.76.164 to 55.3.76.164 | — | 1 |
| 166 | 55.3.76.165/32 | 55.3.76.165 to 55.3.76.165 | — | 1 |
| 167 | 55.3.76.166/32 | 55.3.76.166 to 55.3.76.166 | — | 1 |
| 168 | 55.3.76.167/32 | 55.3.76.167 to 55.3.76.167 | — | 1 |
| 169 | 55.3.76.168/32 | 55.3.76.168 to 55.3.76.168 | — | 1 |
| 170 | 55.3.76.169/32 | 55.3.76.169 to 55.3.76.169 | — | 1 |
| 171 | 55.3.76.170/32 | 55.3.76.170 to 55.3.76.170 | — | 1 |
| 172 | 55.3.76.171/32 | 55.3.76.171 to 55.3.76.171 | — | 1 |
| 173 | 55.3.76.172/32 | 55.3.76.172 to 55.3.76.172 | — | 1 |
| 174 | 55.3.76.173/32 | 55.3.76.173 to 55.3.76.173 | — | 1 |
| 175 | 55.3.76.174/32 | 55.3.76.174 to 55.3.76.174 | — | 1 |
| 176 | 55.3.76.175/32 | 55.3.76.175 to 55.3.76.175 | — | 1 |
| 177 | 55.3.76.176/32 | 55.3.76.176 to 55.3.76.176 | — | 1 |
| 178 | 55.3.76.177/32 | 55.3.76.177 to 55.3.76.177 | — | 1 |
| 179 | 55.3.76.178/32 | 55.3.76.178 to 55.3.76.178 | — | 1 |
| 180 | 55.3.76.179/32 | 55.3.76.179 to 55.3.76.179 | — | 1 |
| 181 | 55.3.76.180/32 | 55.3.76.180 to 55.3.76.180 | — | 1 |
| 182 | 55.3.76.181/32 | 55.3.76.181 to 55.3.76.181 | — | 1 |
| 183 | 55.3.76.182/32 | 55.3.76.182 to 55.3.76.182 | — | 1 |
| 184 | 55.3.76.183/32 | 55.3.76.183 to 55.3.76.183 | — | 1 |
| 185 | 55.3.76.184/32 | 55.3.76.184 to 55.3.76.184 | — | 1 |
| 186 | 55.3.76.185/32 | 55.3.76.185 to 55.3.76.185 | — | 1 |
| 187 | 55.3.76.186/32 | 55.3.76.186 to 55.3.76.186 | — | 1 |
| 188 | 55.3.76.187/32 | 55.3.76.187 to 55.3.76.187 | — | 1 |
| 189 | 55.3.76.188/32 | 55.3.76.188 to 55.3.76.188 | — | 1 |
| 190 | 55.3.76.189/32 | 55.3.76.189 to 55.3.76.189 | — | 1 |
| 191 | 55.3.76.190/32 | 55.3.76.190 to 55.3.76.190 | — | 1 |
| 192 | 55.3.76.191/32 | 55.3.76.191 to 55.3.76.191 | — | 1 |
| 193 | 55.3.76.192/32 | 55.3.76.192 to 55.3.76.192 | — | 1 |
| 194 | 55.3.76.193/32 | 55.3.76.193 to 55.3.76.193 | — | 1 |
| 195 | 55.3.76.194/32 | 55.3.76.194 to 55.3.76.194 | — | 1 |
| 196 | 55.3.76.195/32 | 55.3.76.195 to 55.3.76.195 | — | 1 |
| 197 | 55.3.76.196/32 | 55.3.76.196 to 55.3.76.196 | — | 1 |
| 198 | 55.3.76.197/32 | 55.3.76.197 to 55.3.76.197 | — | 1 |
| 199 | 55.3.76.198/32 | 55.3.76.198 to 55.3.76.198 | — | 1 |
| 200 | 55.3.76.199/32 | 55.3.76.199 to 55.3.76.199 | — | 1 |
| 201 | 55.3.76.200/32 | 55.3.76.200 to 55.3.76.200 | — | 1 |
| 202 | 55.3.76.201/32 | 55.3.76.201 to 55.3.76.201 | — | 1 |
| 203 | 55.3.76.202/32 | 55.3.76.202 to 55.3.76.202 | — | 1 |
| 204 | 55.3.76.203/32 | 55.3.76.203 to 55.3.76.203 | — | 1 |
| 205 | 55.3.76.204/32 | 55.3.76.204 to 55.3.76.204 | — | 1 |
| 206 | 55.3.76.205/32 | 55.3.76.205 to 55.3.76.205 | — | 1 |
| 207 | 55.3.76.206/32 | 55.3.76.206 to 55.3.76.206 | — | 1 |
| 208 | 55.3.76.207/32 | 55.3.76.207 to 55.3.76.207 | — | 1 |
| 209 | 55.3.76.208/32 | 55.3.76.208 to 55.3.76.208 | — | 1 |
| 210 | 55.3.76.209/32 | 55.3.76.209 to 55.3.76.209 | — | 1 |
| 211 | 55.3.76.210/32 | 55.3.76.210 to 55.3.76.210 | — | 1 |
| 212 | 55.3.76.211/32 | 55.3.76.211 to 55.3.76.211 | — | 1 |
| 213 | 55.3.76.212/32 | 55.3.76.212 to 55.3.76.212 | — | 1 |
| 214 | 55.3.76.213/32 | 55.3.76.213 to 55.3.76.213 | — | 1 |
| 215 | 55.3.76.214/32 | 55.3.76.214 to 55.3.76.214 | — | 1 |
| 216 | 55.3.76.215/32 | 55.3.76.215 to 55.3.76.215 | — | 1 |
| 217 | 55.3.76.216/32 | 55.3.76.216 to 55.3.76.216 | — | 1 |
| 218 | 55.3.76.217/32 | 55.3.76.217 to 55.3.76.217 | — | 1 |
| 219 | 55.3.76.218/32 | 55.3.76.218 to 55.3.76.218 | — | 1 |
| 220 | 55.3.76.219/32 | 55.3.76.219 to 55.3.76.219 | — | 1 |
| 221 | 55.3.76.220/32 | 55.3.76.220 to 55.3.76.220 | — | 1 |
| 222 | 55.3.76.221/32 | 55.3.76.221 to 55.3.76.221 | — | 1 |
| 223 | 55.3.76.222/32 | 55.3.76.222 to 55.3.76.222 | — | 1 |
| 224 | 55.3.76.223/32 | 55.3.76.223 to 55.3.76.223 | — | 1 |
| 225 | 55.3.76.224/32 | 55.3.76.224 to 55.3.76.224 | — | 1 |
| 226 | 55.3.76.225/32 | 55.3.76.225 to 55.3.76.225 | — | 1 |
| 227 | 55.3.76.226/32 | 55.3.76.226 to 55.3.76.226 | — | 1 |
| 228 | 55.3.76.227/32 | 55.3.76.227 to 55.3.76.227 | — | 1 |
| 229 | 55.3.76.228/32 | 55.3.76.228 to 55.3.76.228 | — | 1 |
| 230 | 55.3.76.229/32 | 55.3.76.229 to 55.3.76.229 | — | 1 |
| 231 | 55.3.76.230/32 | 55.3.76.230 to 55.3.76.230 | — | 1 |
| 232 | 55.3.76.231/32 | 55.3.76.231 to 55.3.76.231 | — | 1 |
| 233 | 55.3.76.232/32 | 55.3.76.232 to 55.3.76.232 | — | 1 |
| 234 | 55.3.76.233/32 | 55.3.76.233 to 55.3.76.233 | — | 1 |
| 235 | 55.3.76.234/32 | 55.3.76.234 to 55.3.76.234 | — | 1 |
| 236 | 55.3.76.235/32 | 55.3.76.235 to 55.3.76.235 | — | 1 |
| 237 | 55.3.76.236/32 | 55.3.76.236 to 55.3.76.236 | — | 1 |
| 238 | 55.3.76.237/32 | 55.3.76.237 to 55.3.76.237 | — | 1 |
| 239 | 55.3.76.238/32 | 55.3.76.238 to 55.3.76.238 | — | 1 |
| 240 | 55.3.76.239/32 | 55.3.76.239 to 55.3.76.239 | — | 1 |
| 241 | 55.3.76.240/32 | 55.3.76.240 to 55.3.76.240 | — | 1 |
| 242 | 55.3.76.241/32 | 55.3.76.241 to 55.3.76.241 | — | 1 |
| 243 | 55.3.76.242/32 | 55.3.76.242 to 55.3.76.242 | — | 1 |
| 244 | 55.3.76.243/32 | 55.3.76.243 to 55.3.76.243 | — | 1 |
| 245 | 55.3.76.244/32 | 55.3.76.244 to 55.3.76.244 | — | 1 |
| 246 | 55.3.76.245/32 | 55.3.76.245 to 55.3.76.245 | — | 1 |
| 247 | 55.3.76.246/32 | 55.3.76.246 to 55.3.76.246 | — | 1 |
| 248 | 55.3.76.247/32 | 55.3.76.247 to 55.3.76.247 | — | 1 |
| 249 | 55.3.76.248/32 | 55.3.76.248 to 55.3.76.248 | — | 1 |
| 250 | 55.3.76.249/32 | 55.3.76.249 to 55.3.76.249 | — | 1 |
| 251 | 55.3.76.250/32 | 55.3.76.250 to 55.3.76.250 | — | 1 |
| 252 | 55.3.76.251/32 | 55.3.76.251 to 55.3.76.251 | — | 1 |
| 253 | 55.3.76.252/32 | 55.3.76.252 to 55.3.76.252 | — | 1 |
| 254 | 55.3.76.253/32 | 55.3.76.253 to 55.3.76.253 | — | 1 |
| 255 | 55.3.76.254/32 | 55.3.76.254 to 55.3.76.254 | — | 1 |
| 256 | 55.3.76.255/32 | 55.3.76.255 to 55.3.76.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |